Subject: RE: [XCON] Chicken and Egg - Can CPCP create a conference

From: "Rosen, Brian" <[email-masked]>
Date: Mon, 1 Dec 2003 17:10:10 -0500

I think you need to be able to manipulate policy before a conference
is instantiated.  So, policy is available as soon as you have a valid
conference ID (ie conference uri).

This is a reason I don't want a conference factory uri to instantiate
a conference.  I want to send an INVITE to the factory URI, get a conference
ID, manipulate it's policy, and then INVITE/REFER participants.

Brian

> -----Original Message-----
> From: Paul Kyzivat [mailto:[email-masked]]
> Sent: Monday, December 01, 2003 4:21 PM
> To: Rosen, Brian
> Cc: 'Orit Levin'; [email-masked]
> Subject: Re: [XCON] Chicken and Egg - Can CPCP create a conference
> 
> 
> Brian - inline.
> 
> 	Paul
> 
> Rosen, Brian wrote:
> > Orit
> > 
> > Keeping XCON separate from SIP is useful so long as it doesn't 
> > get in the way of common sense.  To me, that would mean, 
> for example, 
> > having a different name space for a conference ID, requiring one 
> > for CPCP and another for SIP.  If a conference ID in CPCP is not a 
> > uri, for which a SIP uri is an excellent, but not limiting example, 
> > I have a very large problem.
> > 
> > I don't care if some day, someone invents a way to use CPCP without 
> > SIP, and I don't have any interest in making that difficult 
> in any way.
> > However, it's not a driving function, and I don't think there is 
> > any reason to have more than one standardized way to create 
> a conference.  
> > An INVITE to a conference URI does it. 
> 
> I have one problem with this, and perhaps it is small enough 
> to be ignored:
> 
> If I want to create a scheduled conference for some time in 
> the future, 
> perhaps from an application with a web interface, then using 
> an INVITE 
> to do so seems peculiar. I don't want to establish a dialog with the 
> focus now. I don't even what a focus now. All I want is an 
> address that 
> uniquely addresses the conference policy server and the 
> conference to be 
> defined. I especially don't want to open any media streams, 
> or force the 
> server to assign media resources just in case I might need them.
> 
> But it may indeed be possible to use sip in a specific way to achieve 
> all that is needed. For instance, perhaps an invite could be 
> sent with a 
> medialess offer, together with some headers that indicate desire for 
> suitable features. If this was sufficiently specific for the 
> server to 
> get the hint, the response could be a 3xx with a contact for 
> the policy 
> server (http url). This may however be a viewed as a hack.
> 
> If I am forced to send a real invite, and establish and 
> invite dialog, 
> in order to learn the policy server address, then what 
> happens if I then 
> change the conference policy to start at a particular time in the 
> future? Does my call immediately get terminated?
> 
> 	Paul
> 
>  > A specific implementation may
> > have some other, non standardized way.  I want ONE 
> standardized way, 
> > unless someone has a compelling reason why we need to have two.  
> > It's a broken record; when you have multiple ways to do the 
> same thing, 
> > you facilitate incompatible implementations.  If there are 
> a million 
> > ways, you will have a lot of incompatible systems.  I have 
> no interest 
> > in fostering that kind of design.
> > 
> > Brian
> > 
> > 
> > 
> > 
> > 
> >>-----Original Message-----
> >>From: Orit Levin [mailto:[email-masked]]
> >>Sent: Monday, December 01, 2003 3:02 PM
> >>To: Rosen, Brian; [email-masked]
> >>Subject: RE: [XCON] Chicken and Egg - Can CPCP create a conference
> >>
> >>
> >>Brian!
> >>I am actually surprised by this thread.
> >>
> >>In reality, a single conference instance can be potentially 
> defined /
> >>requested by million ways. Moreover, the same conference 
> instance can
> >>host participants joining by very different means and 
> media. Moreover,
> >>the same conference can have more than a single unique identifier...
> >>
> >>SIP conferencing and XCON conferencing must be able to 
> coexist in the
> >>system and share same conference instances but apart from 
> >>that - each is
> >>a "complete system" on its own. (SIP point-to-point CC is a 
> different
> >>issue - it is one of the tools available for XCON.)
> >>
> >>As a result, the discussion of the addressing scheme should 
> >>first apply
> >>to the SIPPING conferencing work. (In XCON we still need to 
> >>agree on the
> >>higher level architectural decomposition of the pieces that 
> we managed
> >>to introduce.)
> >>
> >>In particular, draft-ietf-sipping-cc-conferencing-02.txt 
> has different
> >>assumptions or, I should say, is less restrictive that you propose
> >>below. BTW, it does define that "calling a Factory" results in
> >>establishing a conference with its focus (either through the 
> >>same dialog
> >>or by redirection to a focus - both are valid cases). If we 
> >>disagree on
> >>this, let's start this discussion in SIPPING ASAP.
> >>
> >>Orit.
> >>
> >>-----Original Message-----
> >>From: [email-masked] [mailto:[email-masked]] On Behalf Of
> >>Rosen, Brian
> >>Sent: Monday, December 01, 2003 10:26 AM
> >>To: [email-masked]'
> >>Subject: [XCON] Chicken and Egg - Can CPCP create a conference
> >>
> >>I'd like to re-open the requirement to create a conference 
> with CPCP.
> >>Somehow, I missed that one.
> >>
> >>Generally, I think it's a bad idea to have two ways to do 
> >>something, and
> >>we
> >>have another way to create a conference (conference factory 
> uri).  I'd
> >>like to eliminate one of them if possible.
> >>
> >>Beyond that, it seems to me that there is a chicken and egg 
> >>problem with
> >>CPCP.  That is, how do you "start" sending CPCP "commands", 
> >>and to whom
> >>do you address them?  This is an issue that intertwines with the
> >>signalling
> >>protocol (sip).  In my mind, the conference uri gave you an 
> >>address (the
> >>host of the focus) and an identifier (the userpart of the 
> uri).  Now,
> >>in at least the first version of all of this, do we need to 
> have some
> >>kind
> >>of discovery mechanism for the conference policy server?  I 
> think not,
> >>or at least I think you get it from the focus.  I'd propose 
> that it is
> >>precisely the host of the focus, but I'd be okay with a query to the
> >>focus
> >>that returned the address of the conference policy server. 
> >>
> >>So, if I were choosing, I would not permit CPCP to create 
> conferences.
> >>I would rely on the conference factory URI (as well as out of band
> >>means).
> >>I would make the conference policy server the same host as the
> >>conference
> >>uri, or at least make the focus return the address of 
> >>conference policy
> >>server.
> >>If you need a conference uri to get the conference policy server
> >>address,
> >>then you can't use CPCP without a conference URI, and thus 
> >>using CPCP to
> >>create/discover a conference URI wouldn't work.
> >>
> >>Brian
> >>
> >>_______________________________________________
> >>XCON mailing list
> >>[email-masked]
> >>https://www1.ietf.org/mailman/listinfo/xcon
> >>
> >>
> >>
> >>_______________________________________________
> >>XCON mailing list
> >>[email-masked]
> >>https://www1.ietf.org/mailman/listinfo/xcon
> >>
> > 
> > 
> > _______________________________________________
> > XCON mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/xcon
> > 
> 
> 
> _______________________________________________
> XCON mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/xcon
> 

_______________________________________________
XCON mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/xcon

---

From: Paul Kyzivat <[email-masked]>
Date: Mon, 01 Dec 2003 18:27:30 -0500

> ID, manipulate it's policy, and then INVITE/REFER participants.

You are saying you want to send an INVITE to the factory URI to get a 
conference ID, and then you want to manipulate policy on this before the 
conference is instantiated? I don't follow this.

Presumably the result of sending an INVITE to the factory URI is a 
dialog with something. It is my understanding that if you do things this 
way you will end up in a dialog with a newly created focus. Hence you at 
that point already have an instantiated conference. At that point you 
could presumably send a SUBSCRIBE for the conference event package, and 
from that get a URI to be used to manipulate the conference policy with 
CPCP. But you already have instantiated the conference, which was 
perhaps a needless waste if your goal is to configure a conference for 
some time in the future.

I presume you have something else in mind. Can you spell out how you 
imagine things working?

	Paul